org.apache.lucene.codecs.simpletext

## Class SimpleTextSegmentInfoWriter

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoWriter
  - - org.apache.lucene.codecs.simpletext.SimpleTextSegmentInfoWriter

    public class SimpleTextSegmentInfoWriter
    extends SegmentInfoWriter

writes plaintext segments files

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextSegmentInfoWriter()`

### Method Summary

Methods
`void` `write(Directory dir, SegmentInfo si, FieldInfos fis, IOContext ioContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTextSegmentInfoWriter

    public SimpleTextSegmentInfoWriter()

### Method Detail

#### write

    public void write(Directory dir,
             SegmentInfo si,
             FieldInfos fis,
             IOContext ioContext)
               throws IOException

Specified by:
  `write` in class `SegmentInfoWriter`
Throws:
  `IOException`